Bug 506198 - Review Request: mediawiki-CategoryTree - Provides a dynamic view of the wiki's category structure as a tree
Review Request: mediawiki-CategoryTree - Provides a dynamic view of the wiki'...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 20:55 EDT by Ian Weller
Modified: 2009-06-30 17:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: 45462-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 10:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2009-06-15 20:55:37 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-CategoryTree/45462-1/mediawiki-CategoryTree.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-CategoryTree/45462-1/mediawiki-CategoryTree-45462-1.fc11.src.rpm
Description:
The CategoryTree extension provides a dynamic view of the wiki's category
structure as a tree. It uses AJAX to load parts of the tree on demand.
CategoryTree was originally written by Daniel Kinzler as an external tool. It
was later integrated into the MediaWiki software with the help of Tim Starling.
Comment 1 David Nalley 2009-06-18 11:16:17 EDT
OK MUST: rpmlint must be run on every package. The output should be posted in the review. 
[ke4qqq@localhost SPECS]$ rpmlint mediawiki-CategoryTree.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@localhost SPECS]$ rpmlint ../SRPMS/mediawiki-CategoryTree-45462-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@localhost SPECS]$ rpmlint ../RPMS/noarch/mediawiki-CategoryTree-45462-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK MUST: The package must be named according to the  Package Naming Guidelines .
OK MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  . 
OK MUST: The package must meet the   Packaging Guidelines .
OK MUST: The package must be licensed with a Fedora approved license and meet the   Licensing Guidelines .
Multiple source files call the gplv2+ out by name. 
OK MUST: The License field in the package spec file must match the actual license. 
OK MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK MUST: The spec file must be written in American English. 
OK MUST: The spec file for the package MUST be legible. 
OK MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.  If no upstream URL can be specified for this package, please see the   Source URL Guidelines  for how to deal with this.
[ke4qqq@localhost SOURCES]$ md5sum CategoryTree-MW1.14-r45462.tar.gz*
743a506146c744a36807e2adde11afd6  CategoryTree-MW1.14-r45462.tar.gz
743a506146c744a36807e2adde11afd6  CategoryTree-MW1.14-r45462.tar.gz.1


OK MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
NA MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.  
OK MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK MUST: Each package must consistently use macros. 
OK MUST: The package must contain code, or permissable content. 
NA MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA MUST: Header files must be in a -devel package. 
NA MUST: Static libraries must be in a -static package. 
NA MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}  
NA MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK MUST: All filenames in rpm packages must be valid UTF-8. 


APPROVED
Comment 2 Ian Weller 2009-06-22 15:46:34 EDT
New Package CVS Request
=======================
Package Name: mediawiki-CategoryTree
Short Description: Provides a dynamic view of the wiki's category structure as a tree
Owners: ianweller
Branches: F-11 F-10 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2009-06-22 22:29:38 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-25 11:56:17 EDT
mediawiki-CategoryTree-45462-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mediawiki-CategoryTree-45462-1.fc11
Comment 5 Fedora Update System 2009-06-25 11:56:22 EDT
mediawiki-CategoryTree-45462-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mediawiki-CategoryTree-45462-1.fc10
Comment 6 Fedora Update System 2009-06-30 17:24:59 EDT
mediawiki-CategoryTree-45462-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-30 17:38:50 EDT
mediawiki-CategoryTree-45462-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.